=== debian/control ===
Source: ros-foxy-realsense2-camera
Section: misc
Priority: optional
Maintainer: LibRealSense ROS Team <librs.ros@intel.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-foxy-ament-cmake, ros-foxy-builtin-interfaces, ros-foxy-cv-bridge, ros-foxy-diagnostic-updater, ros-foxy-geometry-msgs, ros-foxy-image-transport, ros-foxy-librealsense2, ros-foxy-nav-msgs, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-realsense2-camera-msgs, ros-foxy-ros-environment, ros-foxy-sensor-msgs, ros-foxy-std-msgs, ros-foxy-tf2, ros-foxy-tf2-ros, ros-foxy-ros-workspace
Homepage: http://www.ros.org/wiki/RealSense
Standards-Version: 3.9.2

Package: ros-foxy-realsense2-camera
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-foxy-builtin-interfaces, ros-foxy-cv-bridge, ros-foxy-diagnostic-updater, ros-foxy-geometry-msgs, ros-foxy-image-transport, ros-foxy-launch-ros, ros-foxy-librealsense2, ros-foxy-nav-msgs, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-realsense2-camera-msgs, ros-foxy-sensor-msgs, ros-foxy-std-msgs, ros-foxy-tf2, ros-foxy-tf2-ros, ros-foxy-ros-workspace
Description: RealSense camera package allowing access to Intel T265 Tracking module and SR300 and D400 3D cameras
